Package org.apache.lucene.index

# Interface IndexWriterEventListener

public interface IndexWriterEventListener
A callback event listener for recording key events happened inside IndexWriter

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IndexWriterEventListener`
  `NO_OP_LISTENER`
  A no-op listener that helps to save null checks

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beginMergeOnFullFlush(MergePolicy.MergeSpecification merge)`
  Invoked at the start of merge on commit
  `void`
  `endMergeOnFullFlush(MergePolicy.MergeSpecification merge)`
  Invoked at the end of merge on commit, due to either merge completed, or merge timed out according to `IndexWriterConfig.setMaxFullFlushMergeWaitMillis(long)`

- ## Field Details

  - ### NO_OP_LISTENER

    static final IndexWriterEventListener NO_OP_LISTENER
    A no-op listener that helps to save null checks

- ## Method Details

  - ### beginMergeOnFullFlush

    void beginMergeOnFullFlush(MergePolicy.MergeSpecification merge)
    Invoked at the start of merge on commit
    Parameters:
      `merge` - specification to be tracked

  - ### endMergeOnFullFlush

    void endMergeOnFullFlush(MergePolicy.MergeSpecification merge)
    Invoked at the end of merge on commit, due to either merge completed, or merge timed out according to `IndexWriterConfig.setMaxFullFlushMergeWaitMillis(long)`
    Parameters:
      `merge` - specification to be tracked